#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "metals.inc"
#include "stones.inc"

global_settings {
        assumed_gamma 1.0
        ambient_light rgb<0.5, 0.5, 0.5>
}
background { color rgb<0.2, 0.4, 0.8>  }
light_source {
    <86E9, 86E9, -86E9>
    color White
}

camera {
        location <6000, 1.65, 10>
        look_at <0, 2500, -1000>	//ok
        //look_at <6000, 1.65, 0>
}

#include "sol.pov"
#include "../roboter/roboter.pov"

object {
    Sol
    translate <0, 3300, 0>
}

#declare i = 3000
#declare rand1 = seed(0)
#while (i < 6000)
    #declare Mensch_Schritt = rand(rand1) * 30 - 15
    #declare Mensch_Farbe_Jacke = 
	color <rand(rand1), rand(rand1), rand(rand1)>
    #declare Mensch_Farbe_Hose = 
	color <rand(rand1), rand(rand1), rand(rand1)>
    #declare Groesse = rand(rand1) * 0.2 + 0.9
    #include "mensch.pov"
    object {
	Mensch
	scale <Groesse, Groesse, Groesse>
	rotate <0, -90, 0>
	translate <i + rand(rand1)*0.8, 0, -0.5 + rand(rand1)*1>
    }
    #declare i = i + 1
#end

#declare i = 0
#declare rand1 = seed(0)
#while (i < 50)
    #declare Mensch_Schritt = 0
    #declare Mensch_Farbe_Jacke = 
	color <rand(rand1), rand(rand1), rand(rand1)>
    #declare Mensch_Farbe_Hose = 
	color <rand(rand1), rand(rand1), rand(rand1)>
    #include "mensch.pov"
    object {
	Mensch
	rotate <0, -90, 0>
	translate <0, i + rand(rand1)*1.8, 0>
    }
    #declare i = i + 3
#end

#declare i = 4000
#while (i < 6000)
    #debug concat ("\nRoboter: ", str(i, 0, 0))
    object {
	roboter
	rotate <0, 180, 0>
	translate <i, 0, -5>
    }
    object {
	roboter
	rotate <0, 0, 0>
	translate <i, 0, 5>
    }
    #declare i = i + 5
#end

plane {
    <0, 1, 0>, 0.3
    pigment {
	checker color White*0.7, color White*0.5
    }
}

